Subject: bug#20928: cut (v. 8.21), using -f option with a single column

From: "Kuchta, Tomasz" <[email-masked]>
Date: Mon, 29 Jun 2015 15:37:29 +0000

Hi Pádraig,

Oh, I see - thanks for letting me know.

Kind regards,
Tomek

> On 29 Jun 2015, at 16:31, Pádraig Brady <[email-masked]> wrote:
> 
> tag 20928 notabug
> close 20928
> stop
> 
> On 29/06/15 09:18, Kuchta, Tomasz wrote:
>> Hello.
>> 
>> I’m not sure if this is a bug - I just wanted to let you know.
>> Thanks,
>> Tomek
>> 
>> ——
>> 
>> When there is more than one column and we go beyond the number of columns with the -f option, the output is empty
>> 
>> $ echo "test1 test2" | cut -d' ' -f1
>> test1
>> $ echo "test1 test2" | cut -d' ' -f2
>> test2
>> $ echo "test1 test2" | cut -d' ' -f3
>> 
>> $
>> 
>> —— 
>> 
>> When there is only one column and we go beyond 1 with the -f option, the output remains the first column
>> 
>> $ echo "test1" | cut -d' ' -f1
>> test1
>> $ echo "test1" | cut -d' ' -f2
>> test1
>> $ echo "test1" | cut -d' ' -f3
>> test1
> 
> That difference in behavior is there for compat reasons.
> To induce the behavior you expect, you need the -s option.
> 
> thanks,
> Pádraig.
>